#
#       Makefile for chklib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chklib
LIBFSRCS	= lchrb.f lchrc.f lchrs.f lchrl.f lchrd.f lchra.f \
		  lchrf.f lchr.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= lchrb.o lchrc.o lchrs.o lchrl.o lchrd.o lchra.o \
		  lchrf.o lchr.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
